import { jsx } from "react/jsx-runtime";
import { TokenROOBEE as TokenROOBEE$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenROOBEE = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "ROOBEE", "data-name": "TokenROOBEE", ...props, children: /* @__PURE__ */ jsx(TokenROOBEE$1, { variant }) });
  }
);
TokenROOBEE.displayName = "TokenROOBEE";
Object.assign(TokenROOBEE, { isGdsIcon: true });
export {
  TokenROOBEE
};
